# pipelineScanResult

Pipeline scan result indicating the outcome of a security scan in the CI/CD pipeline.

### Examples

```graphql
enum PipelineScanResult {
  none
  monitor
  block
}
```

### Enum values

| Enum value | Description                                          |
| ---------- | ---------------------------------------------------- |
| none       | No scan result available or scan not performed       |
| monitor    | Issues were found but did not block the pipeline     |
| block      | Critical issues were found that blocked the pipeline |

### References

#### Fields with this object:

* [{} Pipeline.scanResult](/api-documentation/api-reference/api--application/types/objects/pipeline.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/enums/pipeline-scan-result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
